Bug 90881 - (IDE PIIX)IDE problem - probably non DMA capable device
(IDE PIIX)IDE problem - probably non DMA capable device
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 19:10 EDT by Kasper Dupont
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2003-05-14 19:10:37 EDT
Description of problem:
Enabling DMA and IRQ unmasking on DVD drive causes problems.

Symptoms are
1) DVD not correctly detected
2) Error messages about hda
3) Error messages about hdb
4) System lockups

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.9 fails during boot
kernel-2.4.20-9 works without problems

How reproducible:
Every time

Steps to Reproduce:
1. add "hdparm -u1 -d1 /dev/hdb" to /etc/rc.local
2. Boot kernel-2.4.20-13.9
    
Actual results:
Slightly different from boot to boot.
No message about DVD drive being detected.
Sometimes 1-3 error messages about hda, but system apears to be working:
  hda: status error: status=0x58 { DriveReady SeekComplete DataRequest }
  hda: drive not ready for command
Other times 10 or more error messages about hdb, and system lockup.
Only SysRq+B works.

Expected results:
Like 2.4.20-9
DVD drive being detected prints:
   hdb: ATAPI 40X DVD-ROM drive, 512kB Cache, UDMA(33)                            
And DMA and IRQ unmasking gets enabled without error messages and
works flawless. 

Additional info:
The computer is a "F@MILY net"

Output from "dmesg|grep -i1 'hd\|ide'" on a working kernel:

Linux version 2.4.20-9 (bhcompile@stripples.devel.redhat.com) (gcc version 3.2.2
20030313 (Red Hat Linux 3.2.2-10)) #1 Wed Apr 2 13:42:50 EST 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
--
zone(2): 0 pages.
Kernel command line: ro root=/dev/hda6
Initializing CPU#0
--
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ICH: IDE controller at PCI slot 00:1f.1
ICH: chipset revision 2
ICH: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:DMA
hda: C/H/S=57461/16/255 from BIOS ignored
hda: ST3120023A, ATA DISK drive
hdb: MATSHITADVD-ROM SR-8585, ATAPI CD/DVD-ROM drive
blk: queue c03c9f40, I/O limit 4095Mb (mask 0xffffffff)
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hda: host protected area => 1
hda: 234441648 sectors (120034 MB) w/2048KiB Cache, CHS=232581/16/63, UDMA(33)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 hda9 hda10 >
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
--
hub.c: new USB device 00:1f.2-2, assigned address 2
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,6), internal journal
usb.c: USB device 2 (vend/prod 0x7b2/0x4100) is not claimed by any active driver.
--
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
ide-floppy driver 0.99.newide
hdb: ATAPI 40X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
Comment 1 Bugzilla owner 2004-09-30 11:40:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.